[Ifeffit] Carlo's message and perl 5.8.0

Bruce Ravel ravel at leonardo.phys.washington.edu
Wed Jul 31 18:36:12 CDT 2002


Hey,

I just thought I would drop a short note to the list explaining in fewer
words what Carlo said.

The bottom line is that 5.8 and 5.6 are not binary compatible.  This is an
annoyance that affects many things, including the ifeffit interface.

The solution is to go to the place where you unpacked ifeffit and cd to
the wrappers/perl/ directory.  Rebuild the ifeffit interface by doing
   make clean
   perl Makefile.PL
   make
   make install

I don't think you'll actually need to reinstall athena, but it couldn't
hurt.

This is not a OSX-only, or debian-only problem.  We will all have this
annoyance when we get around to updating to perl 5.8  That doesn't make me
happy, but I'll deal.  Starting to distribute a big tarball with the
ifeffit interface bundled with all my codes will actually go along way
towards solving that problem.

And, if you are not updating to perl 5.8 (or don't even grok what this
discussion is about), then you will probably not be affected by this
issue.

Thanks Carlo!

B



 Bruce Ravel 
 e-mail: ravel at phys.washington.edu                             
 URL: http://feff.phys.washington.edu/~ravel/  




More information about the Ifeffit mailing list